Approval Policies
Get workflow version history (v1)
Retrieve version history for a workflow including changes, timestamps, and optionally full snapshots.
GET
/
public
/
v1
/
workflows
/
{workflow_id}
/
versions
/
Get workflow version history
curl --request GET \
--url https://api.dualentry.com/public/v1/workflows/{workflow_id}/versions/ \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.dualentry.com/public/v1/workflows/{workflow_id}/versions/"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.dualentry.com/public/v1/workflows/{workflow_id}/versions/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"version_number": 123,
"changed_by": {
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"email": "<string>"
},
"changed_at": "2023-11-07T05:31:56Z",
"changes_summary": "<string>",
"snapshot": {}
}
]{
"errors": {},
"success": false
}{
"errors": {},
"success": false
}{
"errors": {},
"success": false
}Authorizations
Path Parameters
Query Parameters
Last modified on July 13, 2026
Was this page helpful?
⌘I
Get workflow version history
